	/* 
		CSS Syntax
		

		CSS Ruleset

			selector { property:  value; }
	*/
	
	/* * - universal selector; able to select all elements in the page
	       font-family property - determines the font of the text; 
		
		monospace - secondary font of the fallback font; if the font is not
		installed, similar font will then be used.
		
		font-size property - set the size of the font can use measurements
		other than px.
	*/

* { 
	font-family: "Courier New", monospace; 
	font-size: 20px; 
} 

/*

	html selector	

*/
html {
	/*
		scroll-behavior changes the scrollinmg when navigating within the page
	*/
	scroll-behavior: smooth;
}

body {
	/*background color changes the color of the background of an element.*/
	background-color: skyblue;
}

nav {
	background-color: white;
}

/*selector:hover class changse the style of an element when hovered over*/
a:hover{
	background-color: #b4d6de;
}

nav > div {
/*
	display - allows changing the display of the div from block to inline block; it is inline with its siblings but act like a block element.
	float - changes the horizontal alignment of the element and put it to the right of the container.
*/
	display: inline-block;
	float: right;
}

	/*
		type tag selector - selects elements of the same type or tag
	*/
h1	{
	/* 
		! + important will make the property a priority
	*/
	color: black !important; 
	font-size: 2rem;
	text-align: center;
	/*rem - root element; measurement based on the font size of the rool
	  element. default font size is 16px. the root element is the html tag*/
}

/**/
section {
/*
height - increases the height to 100% viewport height.
	viewport height is the height of the screen on which the user is viewing.
text-align - allows horizontal alignment of the text within the document.*/
	height: 100bh;
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*list style-changes the list style from the list items*/
	list-style-type: none;
}

/*
	id selector - selects the element with a specific id; the highest priority among other selectors

	In CSS, selecting the id is adding # before the name of the id
*/

#zuitt-motto {	
	letter-spacing: 5px;
	font-size: 30px;
}

/*
	class selector - selects elements with the same class; is prioritized over universal and type selector
	
	In CSS, selecting elements is adding . before the name of the class.
	
	an element can have both class and id but the overlapping declarations for the id is prioritized over the class

*/
.offering-item {
	/*text-transform - determine the case of the element*/
	text-transform: uppercase;
}

/* attribute selector - selects elements with the same tag and attribute
	tag [attribute] */

input[required] {
	/*	border-width - changes the width of an element's border
		border-style - changes the style of an element's border
		border-color - changes the color of an element's border
	*/
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*the width of the input is relative to n% of the parent element*/
	width: 90%;

}

	/*
	adjacent sibling selector - selects the sibling element directly after the first selector.
		first selector + adjacent selector
	the selectors doesn't have to be type. class, id etc. can be used.
	*/
h3 + img {
	/*
		height and width determines the height of an element. In CSS, adding more measurements is possible
		border-radius - rounds the corner of the element
	*/
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*
	descendant selector - select elements which are descendants of the first selector
		first selector + <space> + descendant
*/

#bootcamp-learning-list li {
	/*
		#075966 has a value to color:  hex value; it consists of the # plus 6 alphanumeric characters; more specific than the HTML colors
		a
	*/
	color: #075966;
}

/*
	general sibling selector - select siblings after the first selector
		selector ~ selector
*/

h2 ~ a {
	/* text-decoration property changes the lines included in the text e.g. overline, underline, strikethrough; by default, anchor tags have underline */
	text-decoration: none;
}
/*
	child selector - selects a child of an element.

	selector (parent) > ... > selector (child)
*/

body > section > form > label {
	/*rgb (0 0 0) can be accepted as a vlaue of properties that change colors; values of each color determines the color of the element.*/
	color: rgb(0, 0, 128);
}

form{
	text-align: center;
	background-color: white;
	/*boder:  <width> <style> <color>*/
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	
/*
	position - allows changing of position of an element based on a criteria
		relative-moving the element relative to its position
	left property - allows adding of measurement on the left side of the element; the value % is based on the measurement of the parent element ergo 37.25% from the left of the parent element.
*/
	position: relative;
	left: 37.25%;
}

button {
	color: white;
	background-color: #cf0053;
	border: 0px;
	border-radius: 15px;
}